#include <bits/stdc++.h>

using namespace std;
int main() 
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	long long t,n,m,k,p,l,x;
	cin>>t;
	for(int i=0;i<t;i++)
	{
		cin>>n>>m>>k;
		p=n/k;
		l=k*(((1+p)*p)/2);
		x=n%k;
		if(x==0)
		{
			if(l<=m)
			cout<<"Tak\n";
			else
			cout<<"Nie\n";
		}
		else
		{
			l+=(x-1)*(p+1);
			if(m-l>p)
			cout<<"Tak\n";
			else
			cout<<"Nie\n";
		}
	}
	return 0;
}